Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-28-08, 06:53 AM   #1
tseliot
Registered User
 
Join Date: Jul 2005
Posts: 27
Default 173 + 2.6.27 Ubuntu Intrepid

Hi all, Ubuntu Intrepid 8.10 has switched to kernel 2.6.27 and, as the maintainer of the nvidia packages in Ubuntu, I'm trying to make sure that at least driver 173.14.12 and 177.68 work with the new kernel.

On the same 177.68 works without any patch while 173.14.12 doesn't. If I try to apply the changes in this patch suggested by Zander to 173.14.12 I get the following error when I try to modprobe the kernel module:

Code:
Aug 27 08:55:53 intrepid-32 klogd: [   16.103457] NVRM: loading NVIDIA UNIX x86 Kernel Module  173.14.12  Thu Jul 17 18:11:36 PDT 2008
Aug 27 17:56:44 intrepid-32 klogd: [   16.049427] NVRM: loading NVIDIA UNIX x86 Kernel Module  173.14.12  Thu Jul 17 18:11:36 PDT 2008
Aug 27 22:56:42 intrepid-32 klogd: [  293.816010] NVRM: This PCI I/O region assigned to your NVIDIA device is invalid:
Aug 27 22:56:42 intrepid-32 klogd: [  293.816010] NVRM: BAR1 is 3584M @ 0x00000000 (PCI:0001:00.0)
Aug 27 22:56:42 intrepid-32 klogd: [  293.816010] NVRM: This is a 64-bit BAR, which some Linux kernels are known to
Aug 27 22:56:42 intrepid-32 klogd: [  293.816010] NVRM: ignore or handle incorrectly. Please see the README section
Aug 27 22:56:42 intrepid-32 klogd: [  293.816010] NVRM: on 64-bit BARs for more information.
Aug 27 22:56:42 intrepid-32 klogd: [  293.820012] NVRM: The NVIDIA probe routine failed for 1 device(s).
Aug 27 22:56:42 intrepid-32 klogd: [  293.820012] NVRM: None of the NVIDIA graphics adapters were initialized!
Any ideas?
Attached Files
File Type: log nvidia-bug-report.log (146.7 KB, 659 views)
tseliot is offline   Reply With Quote
Old 08-28-08, 05:04 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 173 + 2.6.27 Ubuntu Intrepid

Does this happen consistently with 173.14.12 (even across reboots), whereas 177.68 is consistently fine? Does 177.68 still work after 173.14.12 has failed (without a reboot)?
zander is offline   Reply With Quote
Old 08-28-08, 05:37 PM   #3
tseliot
Registered User
 
Join Date: Jul 2005
Posts: 27
Default Re: 173 + 2.6.27 Ubuntu Intrepid

Problem solved. It works well with this patch

Thanks for your time.
tseliot is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Getting Ubuntu 12.04LTS to work with 173.14.35?? m0dcm NVIDIA Linux 0 06-23-12 12:42 PM
Linux gaming on the rise: EA arrives on Ubuntu and Valve plans Steam port News Gaming Headlines 0 06-15-12 05:20 PM
Canonical partners with Microsoft to support Ubuntu on Azure News Archived News Items 0 06-08-12 06:20 AM
Ubuntu and Unity, Google reCAPTCHA hacked, and Flame spy malware News Archived News Items 0 06-02-12 10:40 AM
Precision and purpose: Ubuntu 12.04 and the Unity HUD reviewed News Archived News Items 0 05-28-12 03:20 PM

All times are GMT -5. The time now is 11:02 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.